# $Revision: 1.142 $, $Date: 2011/10/12 18:43:48 $
#
# Conditional build:
%bcond_without	pa		# without plugin archidecture patch

%define		pia_ver	3.0
%include	/usr/lib/rpm/macros.perl
Summary:	Cacti is a PHP frontend for rrdtool
Summary(pl.UTF-8):	Cacti - frontend w PHP do rrdtoola
Name:		cacti
Version:	0.8.7h
Release:	1
License:	GPL
Group:		Applications/WWW
Source0:	http://www.cacti.net/downloads/%{name}-%{version}.tar.gz
# Source0-md5:	58c9371341f49a190ae11a85118e598d
Source2:	%{name}.crontab
Source3:	%{name}-apache.conf
Source4:	%{name}-lighttpd.conf
Source5:	%{name}-rrdpath.sql
Source6:	%{name}-pa.sql
Source7:	%{name}.logrotate
# http://docs.cacti.net/manual:087:1_installation.9_pia
Source8:	http://www.cacti.net/downloads/pia/%{name}-plugin-%{version}-PA-v%{pia_ver}.tar.gz
# Source8-md5:	1f45a65dc76dee368b11f2c78ae89dfb
# NOTE: update provides: cacti(pia) when updating the patch
Patch0:		%{name}-PA.patch
Patch1:		%{name}-config.patch
Patch2:		%{name}-adodb.patch
Patch3:		%{name}-ioerror.patch
Patch4:		%{name}-webroot.patch
Patch5:		%{name}-linux_memory.patch
Patch6:		%{name}-log-verbosity.patch
Patch7:		%{name}-ss_disk-array-indices.patch
Patch8:		host_name-url.patch
# http://www.cacti.net/download_patches.php
#Patch10:	none now
URL:		http://www.cacti.net/
BuildRequires:	rpm-perlprov
BuildRequires:	sed >= 4.0
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/id
Requires(pre):	/usr/sbin/useradd
Requires:	adodb >= 4.67-1.17
Requires:	crondaemon
Requires:	group(http)
Requires:	net-snmp-utils
Requires:	php-cli
Requires:	php-common >= 4:5.2.13-10
Requires:	php-mysql
Requires:	php-pcre
Requires:	php-session
Requires:	php-snmp
Requires:	php-xml
Requires:	rrdtool
Requires:	webapps
Requires:	webserver
Requires:	webserver(access)
Requires:	webserver(alias)
Requires:	webserver(indexfile)
Requires:	webserver(php)
Suggests:	cacti-spine
Suggests:	php-gd
Provides:	cacti(pia) = %{pia_ver}
Provides:	user(cacti)
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_webapps	/etc/webapps
%define		_webapp		%{name}
%define		_sysconfdir	%{_webapps}/%{_webapp}
%define		_appdir		/usr/share/%{name}

%description
Cacti is a complete frondend to rrdtool, it stores all of the
nessesary information to create graphs and populate them with data in
a MySQL database.

The frontend is completely PHP driven. Along with being able to
maintain Graphs, Data Sources, and Round Robin Archives in a database,
cacti handles the data gathering also. There is also SNMP support for
those used to creating traffic graphs with MRTG.

%description -l pl.UTF-8
Cacti to pełny frontend do rrdtoola, zapamiętujący wszystkie
informacje potrzebne do tworzenia wykresów i wypełniające je danymi w
bazie MySQL.

Frontend jest w pełni oparty na PHP. Oprócz zarządzania wykresami,
źródłami danych, archiwami Round Robin w bazie danych, cacti obsługuje
także gromadzenie danych. Ma także obsługę SNMP przydatną przy
tworzeniu wykresów ruchu przy użyciu MRTG.

%package setup
Summary:	Cacti setup package
Summary(pl.UTF-8):	Pakiet do wstępnej konfiguracji Cacti
Group:		Applications/WWW
Requires:	%{name} = %{version}-%{release}
Suggests:	%{name}-doc = %{version}-%{release}

%description setup
Install this package to configure initial Cacti installation. You
should uninstall this package when you're done, as it considered
insecure to keep the setup files in place.

%description setup -l pl.UTF-8
Ten pakiet należy zainstalować, aby wstępnie skonfigurować instalację
Cacti. Po tym pakiet powinien zostać odinstalowany, jako że jego
obecność może być niebezpieczna.

%package doc
Summary:	HTML Documentation for Cacti
Summary(pl.UTF-8):	Dokumentacja do Cacti w formacie HTML
Group:		Documentation
Requires:	%{name} = %{version}-%{release}

%description doc
HTML Documentation for Cacti.

%description doc -l pl.UTF-8
Dokumentacja do Cacti w formacie HTML.

%prep
%setup -q %{?with_pa:-a8}
# official patches
#%patch10 -p1

%if %{with pa}
%patch0 -p1
# copy images and drop the rest
mv cacti-plugin-arch/files/images/* images
%{__rm} -r cacti-plugin-arch
%endif

%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1

mkdir -p sql
mv *.sql sql
# you should run this sql if your database contains path to %{_datadir}...
cp %{SOURCE5} sql
cp %{SOURCE6} sql

%{__rm} -r lib/adodb
%{__rm} log/.htaccess
%{__rm} cli/.htaccess
%{__rm} rra/.htaccess

# must require libs to get fatals on missing files, not include
%{__sed} -i -e '
	s,include(dirname(__FILE__)."/../include/global.php");,require(dirname(__FILE__)."/../include/global.php");,
	s,include_once,require_once,
' cli/*.php

# make sure scripts have php shebang
%{__sed} -i -e '1{
    /bin.php/!i#!%{_bindir}/php
}' scripts/*.php  cli/*.php

chmod a+rx scripts/*.php cli/*.php

find '(' -name '*~' -o -name '*.orig' ')' -print0 | xargs -0 -r -l512 rm -f

# make sure cacti runs out of the box
%{__sed} -i -e 's,new_install,%{version},' sql/cacti.sql

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir}/%{name},%{_appdir}/{docs,plugins},/etc/{cron.d,logrotate.d},%{_sbindir}}
install -d $RPM_BUILD_ROOT/var/{log,{lib,cache}/%{name}}

cp -a *.php $RPM_BUILD_ROOT%{_appdir}
cp -a cli images include install lib resource scripts sql $RPM_BUILD_ROOT%{_appdir}
cp -a docs/html $RPM_BUILD_ROOT%{_appdir}/docs/html
mv $RPM_BUILD_ROOT{%{_appdir}/poller.php,%{_sbindir}/cacti-poller}

cp -a log $RPM_BUILD_ROOT/var/log/%{name}
install -d $RPM_BUILD_ROOT/var/log/archive/%{name}
cp -a rra $RPM_BUILD_ROOT/var/lib/%{name}

mv $RPM_BUILD_ROOT{%{_appdir}/include,%{_sysconfdir}}/config.php
cp -a %{SOURCE2} $RPM_BUILD_ROOT/etc/cron.d/%{name}
cp -a %{SOURCE7} $RPM_BUILD_ROOT/etc/logrotate.d/%{name}

cp -a %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/apache.conf
cp -a %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/httpd.conf
cp -a %{SOURCE4} $RPM_BUILD_ROOT%{_sysconfdir}/lighttpd.conf

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%useradd -u 184 -d /var/lib/%{name} -g http -c "Cacti User" cacti

%post
if [ ! -f /var/log/%{name}/cacti.log ]; then
	install -m660 -oroot -ghttp /dev/null /var/log/%{name}/cacti.log
fi

%postun
if [ "$1" = "0" ]; then
	%userremove cacti
fi

%triggerin -- apache1 < 1.3.37-3, apache1-base
%webapp_register apache %{_webapp}

%triggerun -- apache1 < 1.3.37-3, apache1-base
%webapp_unregister apache %{_webapp}

%triggerin -- apache < 2.2.0, apache-base
%webapp_register httpd %{_webapp}

%triggerun -- apache < 2.2.0, apache-base
%webapp_unregister httpd %{_webapp}

%triggerin -- lighttpd
%webapp_register lighttpd %{_webapp}

%triggerun -- lighttpd
%webapp_unregister lighttpd %{_webapp}

%triggerpostun -- %{name} < 0.8.7b-9.5
if [ -f /etc/cacti/cacti.cfg.rpmsave ]; then
	cp -f %{_sysconfdir}/config.php{,.rpmnew}
	mv /etc/cacti/cacti.cfg.rpmsave %{_sysconfdir}/config.php
fi

%files
%defattr(644,root,root,755)
%doc docs/CHANGELOG docs/CONTRIB docs/README docs/txt/manual.txt
%dir %attr(750,root,http) %{_sysconfdir}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/apache.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/httpd.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/lighttpd.conf
%attr(640,root,http) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/config.php
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/cron.d/%{name}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/logrotate.d/%{name}
%attr(755,root,root) %{_sbindir}/cacti-poller
%dir %{_appdir}
%exclude %{_appdir}/install
%exclude %{_appdir}/docs
%{_appdir}/resource
%{_appdir}/sql
%{_appdir}/lib
%{_appdir}/include
%{_appdir}/images
%{_appdir}/plugins
%{_appdir}/*.php

%dir %{_appdir}/cli
%attr(755,root,root) %{_appdir}/cli/*

%dir %{_appdir}/scripts
%attr(755,root,root) %{_appdir}/scripts/*

%attr(750,root,http) %dir /var/lib/%{name}
%attr(770,root,http) %dir /var/lib/%{name}/rra
%attr(730,root,http) %dir /var/log/%{name}
%attr(750,root,logs) %dir /var/log/archive/%{name}
%attr(660,root,http) %ghost /var/log/%{name}/cacti.log
%attr(730,root,http) %dir /var/cache/%{name}

%files setup
%defattr(644,root,root,755)
%{_appdir}/install

%files doc
%defattr(644,root,root,755)
%{_appdir}/docs

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: cacti.spec,v $
Revision 1.142  2011/10/12 18:43:48  arekm
- up to 0.8.7h

Revision 1.141  2011/04/14 18:30:34  marti
- added temporary patch for 0.8.7g fixing some XSS and SQLI vulnerabilities

Revision 1.140  2010/12/21 10:34:52  glen
- package log archive dir; rel 10

Revision 1.139  2010/12/15 18:41:38  glen
- updated Plugin Archidecture to 2.9

Revision 1.138  2010/12/14 06:25:22  glen
- md5 for PA

Revision 1.137  2010/12/14 06:24:48  glen
- install PA icons

Revision 1.136  2010/12/14 05:51:39  glen
- cacti(pia) provide for Cacti Plugin Architecture version dep

Revision 1.135  2010/12/13 23:24:09  glen
- add /var/cache/cacti for scripts like ss_get_mysql_stats.php, so they don't trash /tmp; rel 6

Revision 1.134  2010/12/13 10:19:48  glen
- fix config syntax error, actually use just one config file from webapps dir; rel 5

Revision 1.133  2010/12/13 10:06:01  glen
- adjust PA patch for current patchset

Revision 1.132  2010/12/13 09:51:27  glen
- original patches came first, pa patch needs update

Revision 1.131  2010/12/13 09:47:56  glen
- add logrotate, adapter

Revision 1.130  2010/11/17 12:31:46  paszczus
- release 4

Revision 1.129  2010/10/09 23:54:44  skibi
- Rel 3

Revision 1.128  2010/10/09 23:53:15  skibi
- Add patch from date 2010/07/27 more info http://www.cacti.net/download_patches.php

Revision 1.127  2010/07/14 10:07:51  glen
- release 2

Revision 1.126  2010/07/13 12:20:26  paszczus
- updated PA patch to 2.8; rel 1

Revision 1.125  2010/07/12 09:36:58  glen
- up to 0.8.7g, pa patch needs updating (not available on website)

Revision 1.124  2010/05/28 08:05:35  zawadaa
- up to 0.8.7f
- works for me

Revision 1.123  2010/05/07 11:38:15  pawelz
- added sql_injection_template_export.patch. Resolves: CVE-2010-1431
- rel 11

Revision 1.122  2010/04/14 21:49:06  glen
- worked fine for years without gd ext; rel 10

Revision 1.121  2010/04/14 15:38:01  glen
- require php with not broken xml, php5 is now minimum dep; rel 9

Revision 1.120  2010/04/14 15:23:29  glen
- include -> require in cli

Revision 1.119  2010/04/14 15:17:05  glen
- do not add duplicate shebangs

Revision 1.118  2010/04/14 15:13:18  glen
- make sure cli programs work from any current dir; rel 8

Revision 1.117  2010/04/13 20:25:25  glen
- release 7

Revision 1.116  2010/04/13 19:39:57  glen
- add 5 official patches, upgrade PluginArchidecture patch to 0.8.7e-PA-v2.6
- rel 6

Revision 1.115  2009/12/02 10:04:30  glen
- R: session; http://lists.pld-linux.org/mailman/pipermail/pld-devel-en/2009-December/021307.html; rel 5

Revision 1.114  2009/10/07 09:44:41  glen
- match host_name also for action=preview; rel 4

Revision 1.113  2009/10/02 07:32:38  glen
- understand $host_name in graph_view (map to $host_id); rel 3

Revision 1.112  2009/07/16 08:50:10  glen
- release 2

Revision 1.111  2009/07/16 08:47:42  glen
- up to 0.8.7e by Eero Hänninen

Revision 1.110  2009/05/15 09:36:11  mmazur
- rel 3; stbr
- some sql magic, to make sure the thing works out of the box

Revision 1.109  2009/04/29 20:22:58  grzegorz
- removed double source5

Revision 1.108  2009/03/09 19:48:49  grzegorz
- added 4 official patches, rel 2 STBR

Revision 1.107  2009/02/18 08:07:29  grzegorz
- tested, rel 1 STBR

Revision 1.106  2009/02/17 09:15:14  grzegorz
- added pa.sql

Revision 1.105  2009/02/17 09:05:24  grzegorz
- up to 0.8.7d

Revision 1.104  2009/02/03 07:22:56  arekm
- up to 0.8.7c

Revision 1.103  2009/01/18 19:11:26  adamg
- Requires: webserver(indexfile)

Revision 1.102  2009/01/18 13:58:49  adamg
- Requires: webserver(access)

Revision 1.101  2009/01/18 13:57:38  adamg
- Requires: webserver(alias)

Revision 1.100  2008/11/28 00:36:03  glen
- do not attempt to close illegal resource patch; rel 15

Revision 1.99  2008/11/28 00:34:52  glen
- what webadminroot? make it triggerpostun if really want the compat link

Revision 1.98  2008/11/03 08:30:32  grzegorz
- /usr/share/cacti/rra -> /var/lib/cacti/rra for broken installations.

Revision 1.97  2008/10/30 07:20:00  arekm
- revert

Revision 1.96  2008/10/29 21:06:49  arekm
- own by cacti since poller is now run as cacti user

Revision 1.95  2008/10/28 11:24:32  arekm
- rel 14; one more rrdtool 1.3.x fix

Revision 1.94  2008/10/28 11:15:07  arekm
- rel 13; add support for rrdtool 1.3

Revision 1.93  2008/10/28 10:44:17  arekm
- rrdtool 1.3.x not supported

Revision 1.92  2008/10/20 08:31:47  glen
- autodeps not package name

Revision 1.91  2008/10/19 12:04:29  tommat
- R: php-program for /usr/sbin/cacti-poller
- include missing dir
- STBR

Revision 1.90  2008/10/08 18:13:17  qboosh
- pl for -setup,-doc

Revision 1.89  2008/10/07 16:30:06  glen
- silence php warning accessing items from array that don't exist if queried host is unreachable
- renum patches
- make cli/* executable
- rel 11

Revision 1.88  2008/10/05 14:47:55  glen
- verbosity none is supposed to be mute!
- add sql patch to update rrd paths in database (banner perhaps?)

Revision 1.87  2008/10/05 14:07:38  glen
- make linux_memory.pl script to work

Revision 1.86  2008/10/05 14:04:35  glen
- webroot (needed for spine) is already config[base_path]

Revision 1.85  2008/10/05 13:15:43  glen
- release 10

Revision 1.84  2008/10/05 04:00:34  glen
- scripts now executable

Revision 1.83  2008/10/05 03:28:54  glen
- ioerror patch; renum patches

Revision 1.82  2008/10/05 03:16:53  glen
- webapps integration
- -setup, -doc subpackages

Revision 1.81  2008/08/13 06:47:37  grzegorz
- cleanups
- rel 9

Revision 1.80  2008/08/12 09:08:04  grzegorz
- patch || exit 1 added
- STBR

Revision 1.79  2008/08/12 08:32:15  grzegorz
- plugin architecture move from patch to source3, as arekm suggest.
- removed url_path patch, no more needed
- added pa.sql to docs
- rel 8

Revision 1.78  2008-05-01 17:19:09  glen
- release 7

Revision 1.77  2008-05-01 15:18:02  grzegorz
- added http://www.cacti.net/downloads/patches/0.8.7b/reset_each_patch.patch
- rel 6, STBR

Revision 1.76  2008-03-12 00:52:13  glen
- moved crontab to SOURCES

Revision 1.75  2008-03-12 00:41:03  glen
- add cacti user for running scripts
- move config to SOURCES
- remove backup files not to package that shit
- rel 5

Revision 1.74  2008-03-12 00:30:57  glen
- adapter

Revision 1.73  2008-03-07 11:57:27  grzegorz
- added snmp_auth_none_notice.patch
- rel 4, STBR

Revision 1.72  2008-02-25 18:10:44  qboosh
- reverted encoding breakage
- /etc/cron.d path is constant

Revision 1.71  2008-02-25 12:35:38  grzegorz
- corrected upgrade_from_086k_fix.patch

Revision 1.70  2008-02-25 12:27:31  grzegorz
- added upgrade_from_086k_fix.patch
- rel 3, STBR

Revision 1.69  2008-02-14 12:38:38  grzegorz
- added url_path patch
- rel 2, STBR

Revision 1.68  2008-02-14 11:24:40  grzegorz
- up to 0.8.7b, fixed "Multiple Security Vulnerabilities"
- rel 1, STBR

Revision 1.67  2007-12-13 20:19:13  wolvverine
- add S

Revision 1.66  2007-12-05 07:48:51  grzegorz
- added 2 patches from http://www.cacti.net/downloads/patches/0.8.7a
- rel 2, STBR

Revision 1.65  2007-12-04 08:43:17  grzegorz
- rel 1, STBR

Revision 1.64  2007-12-04 08:39:53  grzegorz
- up 0.8.7a

Revision 1.60  2007-11-21 11:10:36  grzegorz
- added http://www.cacti.net/downloads/patches/0.8.6j/sec_sql_injection-0.8.6j.patch
- rel 6, STBR SECURITY

Revision 1.59  2007-10-09 07:13:45  arekm
- rel 5; fix zoom under opera

Revision 1.58  2007/05/24 07:51:52  grzegorz
- added http://www.cacti.net/downloads/patches/0.8.6j/snmpwalk_fix.patch
- rel 4, STBR

Revision 1.57  2007/03/15 08:55:35  glen
- spaces

Revision 1.56  2007/03/15 08:01:43  grzegorz
- ups forgot about %patch4

Revision 1.55  2007/03/15 08:00:15  grzegorz
- added http://www.cacti.net/downloads/patches/0.8.6j/graph_debug_lockup_fix.patch
- rel 3, STBR

Revision 1.54  2007/02/12 12:44:59  grzegorz
- added patches from http://www.cacti.net/downloads/patches/0.8.6j/ping_php_version4_snmpgetnext.patch
- rel 2, STBR

Revision 1.53  2007/02/12 00:48:41  baggins
- converted to UTF-8

Revision 1.52  2007/02/11 23:57:26  grzegorz
- up to 0.8.6j
- remove patch1,2 and 3

Revision 1.51  2007/02/11 18:07:45  grzegorz
- rel 3
- updated plugin architecture to 0.8.6i
- remove poller_output_remainder patch (it's included in above patch)
- readed config patch

Revision 1.50  2007/01/14 16:40:49  arekm
- rel 2; tons of important SECURITY fixes

Revision 1.49  2006/11/21 20:35:35  glen
- rel 1: use php(extension) virtuals

Revision 1.48  2006/11/21 19:56:18  glen
- rel 0.3: use php(extension) virtuals

Revision 1.47  2006/11/06 17:53:48  djrzulf
- updated to latest version, NFY,

Revision 1.46  2006/10/10 21:41:38  glen
- add todo

Revision 1.45  2006/10/10 18:42:33  wolvverine
- better my last commit IMHO

Revision 1.44  2006/10/10 14:41:06  glen
- one -d is enough

Revision 1.43  2006/10/10 14:21:45  wolvverine
- add lost symlink to adodb

Revision 1.42  2006/06/29 11:00:36  arekm
- rel 3; add official database_autoincrement_corruption.patch

Revision 1.41  2006/04/15 11:30:04  glen
- rel 2: use system adodb, resolves CVE-2006-0147, CVE-2006-0146, CVE-2006-0410, CVE-2006-0806

Revision 1.40  2006/01/17 10:01:01  arekm
- updated to 0.8.6h (official mysql 5.x fixes)

Revision 1.39  2006/01/12 22:25:14  glen
- avoid shell interpretation at compile time when creating config file

Revision 1.38  2006/01/12 16:03:38  wolvverine
- add plugins architecture
- please test it

Revision 1.37  2005/12/12 15:19:32  glen
- adapterized (sorted %verify flags)

Revision 1.36  2005/11/24 18:49:00  arekm
- rel 2; fixes for mysql5

Revision 1.35  2005/10/15 20:43:11  arekm
- net-snmp is not required

Revision 1.34  2005/10/12 07:44:03  arekm
- rel 1; apache config is not needed (symlink is enough); glsa-200506-20 is fixed in this version)

Revision 1.33  2005/10/06 11:15:52  arekm
- write for http for logs dir

Revision 1.32  2005/10/06 10:12:56  arekm
- fixes

Revision 1.31  2005/10/06 10:12:00  arekm
- fixes

Revision 1.30  2005/10/06 10:11:36  arekm
- fixes

Revision 1.29  2005/10/06 10:08:49  arekm
- fixes

Revision 1.28  2005/10/06 10:03:50  arekm
- fixes

Revision 1.27  2005/10/06 10:00:09  arekm
- fixed config in /etc/cacti

Revision 1.26  2005/10/06 09:49:39  arekm
- moved configs to /etc/cacti
- added /var/log/cacti
- moved rrd files to /var/lib/cacti
- added cron job
- addjusted requires

Revision 1.25  2005/10/05 20:16:51  arekm
- up to 0.8.6g + 4 official patches

Revision 1.24  2005/06/22 15:32:44  glen
- todo security

Revision 1.23  2005/05/24 06:19:51  darekr
- missing dirs

Revision 1.22  2004/12/20 19:25:33  adamg
- updated to 0.8.6c

Revision 1.21  2004/10/30 07:07:25  paladine
- unifications

Revision 1.20  2004/10/03 15:50:47  blues
- md5 and fixed URL

Revision 1.19  2004/10/03 15:48:59  blues
- security update to 0.8.6 - not tested, needs to be finished.

Revision 1.18  2004/08/30 18:07:22  snurf
- typo / formatting / etc.

Revision 1.17  2004/08/23 09:22:50  blues
- SECURITY note

Revision 1.16  2004/02/04 15:34:29  averne
- /home/services -> /srv
- rel 2

Revision 1.15  2003/11/17 21:34:30  pius
- cleaned up a bit

Revision 1.14  2003/11/17 21:28:54  pius
- up to 0.8.4

Revision 1.13  2003/10/23 19:24:33  pius
- up to 0.8.3a
- added more requirements

Revision 1.12  2003/10/04 11:23:12  wiget
- where is libnet-snmp50?

Revision 1.11  2003/08/22 09:48:43  qboosh
- pearprov no longer needed, included macros.perl for perlprov

Revision 1.10  2003/08/18 13:24:53  gotar
- comment on BR

Revision 1.9  2003/08/18 10:48:12  gotar
- BR: rpm-perlprov

Revision 1.8  2003/08/09 19:29:28  gotar
- fixed md5 (???)

Revision 1.7  2003/08/09 19:27:35  gotar
- BR: rpm-php-pearprov instead of perl,
- fixed bashism in internal script,
- upgraded to 0.8.2a,
- commented out unused piece of shell code.

Revision 1.6  2003/08/06 16:39:50  kloczek
- mo??e wrescie kto?? wykasuje to konto ?

Revision 1.5  2003/07/09 20:10:51  blues
- cosmetics

Revision 1.4  2003/06/21 11:50:56  misi3k
- updated to 0.8.1

Revision 1.3  2003/06/10 20:14:27  qboosh
- pl

Revision 1.2  2003/06/10 14:03:57  qboosh
- adapterized, cleanups

Revision 1.1  2003-06-10 13:55:24  qboosh
- merged from cvs.pld.org.pl
